[ create a new paste ] login | about

Link: http://codepad.org/xPy7dUiU    [ raw code | output | fork ]

C++, pasted on Oct 16:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
#include <iostream>

class foo {
        public:
                foo() {
                        throw int(42);
                }
};

int main() {
        try {
                new foo();
        } catch (int) {
                std::cout << "int caught" << std::endl;
        } catch (std::bad_alloc &) {
                std::cout << "bad alloc" << std::endl;
        } catch (...) {
                std::cout << "something else" << std::endl;
        }
        return 0;
}


Output:
1
int caught


Create a new paste based on this one


Comments: